import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_medium.dart';
import 'package:syncrow_app/utils/resource_manager/color_manager.dart';

class EmptyRoutinesWidget extends StatelessWidget {
  const EmptyRoutinesWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          mainAxisSize: MainAxisSize.max,
          spacing: 16,
          children: [
            SvgPicture.asset(
              'assets/icons/empty_routines.svg',
              colorFilter: ColorFilter.mode(
                ColorsManager.textGray,
                BlendMode.srcIn,
              ),
            ),
            BodyMedium(
              text: 'No Routines yet',
              fontColor: ColorsManager.textGray,
            ),
          ],
        ),
      ),
    );
  }
}
